@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Audiowide&family=Chango&family=Electrolize&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap');

@font-face {
  font-family: 'Electrolize';
  src: url('fonts/Electrolize-Regular.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
}

:root {
  --theme-font: 'Electrolize', sans-serif;
}
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  user-select: none;
  font-family: var(--theme-font);
}
.mainParent {
  height: 100vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  position: relative;
}

.iframeBox {
  height: 100%;
  width: 100%;
  overflow:hidden;
  position: absolute;
  top: 0;
}
.configBox {
  position: absolute;
  bottom: 0;
  width: 100%;
}

.tabContentDiv {
  /* background: linear-gradient(45deg, #e9e6e3, #9c9c9a, #e9e6e3); */
  background: #f7f1dc;
  transition: all .4s linear;
  animation: fadeEffect 3s;
  width: 100%;
  margin: 0 auto;
  /* border-radius: 10px; */
}
.tabContent {
  display: block;
  padding: 15px 30px;
  transition: all .4s linear;
  animation: fadeEffect 1s;
  position: relative;
}

.roomBoxes {
  display: flex;
  align-items: center;
  gap: 15px;
  overflow: hidden;
}
.roomBox {
  /* height: 90px; */
  width: 132px;
  display: flex;
  flex-direction: column;
  cursor: pointer;
  border: 2px solid transparent;
}
.roomImgBox {
  height: 70px;
  width: 128px;
  position: relative;
}
.checkImg {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  display: none;
}
.roomImg {
  height: 100%;
  width: 100%;
  border-radius: 10px;
}
.roomImg.active {
    border: 2px solid rgb(0, 0, 0);
}
.cardTxtStyle {
  background-color: white;
  color: black;
  text-transform: uppercase;
  font-weight: 500;
  white-space: nowrap;
  font-size: 12px;
  width: 100%;
  text-align: center;
  margin-bottom: 0;
}

#leftA, #leftB {
  display: none;
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
}
#rightA, #rightB {
  display: none;
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
}

.roomTabsContainer {
  /* background-color: white; */
  /* border: 2px solid #b1b0b0; */
  position: absolute;
  bottom: 12%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
  gap: 10px;
  width: 100%;
}
.roomTab {
  border: 5px outset rgb(118 117 116);
  padding: 10px;
  width: 200px;
  text-align: center;
  cursor: pointer;
  transition: 0.1s all linear;
  background: #3f342fd9;
  color: white;
}

.roomTab p {
  margin: 0;
}
.roomTab:hover {
  background-color: rgb(226 215 202 / 39%)
}
.roomTab.active {
  border:5px outset rgb(207 207 206);
}


@media screen and (max-width: 768px) {
  #leftA, #leftB, #rightA, #rightB {
    display: block;
  }
  .tabContentDiv {
    width: 100%;
  }
  .roomImgBox {
    width: 127px;
  }
  .tabContent {
    padding: 10px 30px 10px 30px;
  }
  .roomTab {
    padding: 7px;
  }
  .configBox {
    width: 100% !important;
  }
}

@media screen and (max-width: 576px) {
  .roomTab p {
    font-size: 0.8rem;
  }
  .configBox {
    bottom : 1%;
  }
  .mainParent {
    height: 90vh
  }
  .roomTabsContainer {
    flex-wrap: wrap;
    bottom: 20%;
  }
  .roomTab {
      width: 40%;
  }
}
